OPK Bundle

Menci Software - OPK Bundle - Copyright © 2016

WebSite: http://www.menci.com - E-Mail: info@menci.com


Quick Reference

  • Features
  • Main Menu
  • Toolbar
  • New Project
  • Settings
  • Images Manager
  • Search Tie Point
  • GCP
  • Check Points
  • Bundle
  • Graphic Report
  • Report
  • View
  • WorkFlow

What is OPK Bundle?

OPK is a software suite specifically designed for the high production of aerial photogrammetric products starting from large format digital images acquired by aerial cameras, such as UltraCam, DMC, DIMAC, etc.

OPK is composed and capable of multiple applications each specifically developed to manage a particular stage of cartographic production.

OPK is the our innovative technology for large format cameras (Ultracam, DMC, Dimac) providing totally automatic photogrammetric workflow. It is designed for high quality and mass production of AT, DSM, DTM and orthomosaics.

OPK Bundle is the latest Menci Software’s technology for automatic aerial images triangulation. Software based on a sophisticated algorithm for Tie Points research and Bundle generation.


Features

Main features

  • Unlimited number of image elaborated
  • Tie Points automatic research
  • Monoscopic collimation advanced management
  • Multi-channel images handling: RGB+IR
  • Automatic Bundle generation
  • Send email at the end of process
  • Automatic report generation
  • Advanced results visualization


Main interface

Main Menu

When the software starts following window will be opened (fig.1).

Figure 1

Software interface is divided into two parts:

  1. Project;
  2. WorkSpace.

From Project section (fig.2) you can:

Figure 2

  • Create a new project: New;
  • Open an existing project: Open;
  • Save the project: Save;
  • Visualize some project informations: Project info;
  • Open the tutorial: Tutorial;
  • Visualize Credits: About;
  • Exit from OPK Bundle: Exit.

WorkSpace section is divided into four subsections:

  • Process: in this subsection there is a project workflow;
  • CAD windows;
  • View: from this subsection we can visualize or not the Tie Point, GCP, Check Point and Foot Print. We can reset the view modality or set a threshold value for Tie Point, GCP and Check Point residuals;
  • Output Window: from this subsection OPK Bundle show the residual time process, the cursor coordinates and process logs.


Toolbar

From the toolbar we can select Tools or Settings (fig.3).

Figure 3

From Tools > Recover Search Tie Points process it's possible, in case of a sudden process interruption, resume the Tie Point research from the state in which it was stopped. This avoids the images re-processing that had already processed.

From Settings > Coordinate System we can open the Coordinate System window and set the appropriate coordinate system: Projection, Datum, Unit and Fuse. You can import a WKT file or insert EPSG code (fig.4).

Figure 4

From Settings > Select SRTM Source we can select another surce for SRTM.

From Settings > Use External DEM we can import an external DEM.

NOTE: do not exchange Settings in toolbar with Settings in WorkSpace section (fig.5).

Figure 5


New Project

To create a new project press New (fig. 6) then select folder directory and set the project name (fig. 7).

Figure 6

Figure 7

Click Ok and following windonw automatically opens (fig.8), set the coordinate system and then click Ok.

Figure 8

You can see two active icons now (fig.9) in WorkSpace section. You are ready to start the import process.

Figure 9


Settings

Click Settings (fig.9) the following window opens (fig.10).

Figure 10

From Settings we can change some algorithm parameters:

Email parameters

  • Send alert email;
  • Recipients Addresses;
  • SMTP server;
  • Email subject;

Tie Point filter parameters

  • Max number of points per image;
  • Min number of measurements per point;
  • Max reprojection error (pixel);

Bundle adjustament parameters

  • Min number of iteration;
  • Max number of iteration;
  • Convergence threshold;
  • Std-dev of unit weight (pix);
  • Show bundle report;

Tie point search parameters

  • Template size;
  • Search area size;
  • Cross correlation coefficient;
  • Max points to search per image.


Images Manager

Press Images Manager (fig.11) to import the images then clik Add (fig.12) by Images Manager window.

Figure 11

Figure 12

Now you must select, create or import the camera passport (fig.13).

Figure 13

You can import some passports and select from time to time the apporpriate certificate.

If you haven't a compatible certificate with OPK you can create it by Fill New (fig.14) button.

Figure 14

You must insert some information (fig.15) as:

  • Camera name (NOTE: These parameters do not affect the process);
  • Camera model (NOTE: These parameters do not affect the process);
  • Lens serial number (N/S) (NOTE: These parameters do not affect the process);
  • Calibration date (dd-mm-aaaa) (NOTE: These parameters do not affect the process);
  • Focal lenght (mm);
  • Pixel size (mm);
  • Principal Point coordinate X (pixel);
  • Principal Point coordinate Y (pixel);
  • Distorsion parameters (K1, K2, K3, P1, P2). If the images are alredy undistorted these parameters are zero.

Figure 15

If you click Details (fig.16) you can see passport details uploaded (fig.17).

Figure 16

Figure 17

Then press Select (fig.18).

Figure 18

Window in figure 19 automatically opens. Browse and select correct images files. Then click Open.

Figure 19

Images Manager window now shows all uploaded images, but you must upload GPS/IMU data by Import button (fig.20).

Figure 20

Press Browse (fig.21) and select the correct ASCII file with GPS-IMU data.

Figure 20

At top you can change the keywords for parsed file by editing comments and separators. Moreover you can assign the table headers values by clicking on.

If you want to exchange latitude and logitude columns each other, you can press Click. You can also select the correct rotational angle unit.

Figure 21

Select the appropriate data or press Select All then press Import (fig.21).

GPS/IMU column in Images Manager window is now filled with Yes value (fig.22).

Figure 22

You can close this window by Close. Next step is to start the tie points research by Search Tie Points.


Search Tie Points

Press Search Tie Points to start the Tie Points research (fig.23).

Figure 23

By Tracking Tie Points windows is showed the progress of the calculation and elaboration results.

It is possible to navigate into CAD window with pan and zoom. Reset View allows you to return to the default view (fig.24).

Figure 24

The red squares represent the images not yet processed. The square become yellow when image is processed and the tie points are displayed as blue dots.

The Output window shows some informations about the processed images in the current process (fig.25).

Figure 25

At the end of Tie Points research press Ok and close the window.

After Tie Points calculation you can import and collimate the GCP and Check Points.

You can add other tie points manually by Add Tie Points (fig.26) then click on main view and colimmation windows opens automatically. The green squares represent the images processed, while green crosses are tie points manually added (fig.27).

Figure 26 Figure 27

Press Tie Points Manager (fig. 28-29) if you want to:

  • Remove Tie Points by residuals (pixel unit);
  • Remove selected Tie Points;
  • Collimate selected Tie Points.

Figure 28 Figure 29

To close the windows press Close.


GCP

Import and collimation procedure is the same for GCP and Check Points, but in this section we will only describe for GCP. See the Check Points paragraph for Check Point import and collimation.

Press GCP (fig.30) to open a GCPs Manager windows (fig.31), then clik Add.

Figure 30 Figure 31

From Import GCPs window press Browse and select the GCP file.

Figure 32

At top you can change the keywords for parsed file by editing comments and separators. Moreover you can assign the table headers values by clicking on.

If you want to exchange latitude and logitude columns each other, you can press Click.

Select the appropriate data or press Select All, then press Import and close the Import GCPs window (fig.33).

Figure 33

In the main view you can see Imported GCP just uploaded. Grey color say that GCPs are not yet collimated. If you do not see GCP on main view, try to active GCP button (fig.34).

Figure 34

Through a single click on the first point the software will open the monoscopic collimation window (fig.35). This shows all images related to the point selected, then we must collimate the point on each image. To collimate the first point we must to click with left mouse button. The automatic collimation aids will try to transport the collimation on other images.

Figure 35

Please verify this automatic transportation on each image in order to refine or exclude incorrect collimations. Left-right arrows allow to change current image you can also use pg+ and pg- on key keyboard. To exclude an image from collimation set you can press Hide Image (this exclusion is applied to current point only).
To remove a collimation press the right mouse button (you will see the point returning to yellow color). To a better collimation you can use keypad (fig. 36-37).

Figure 36 Figure 37

GCP already collimated change color from gray to green and it will show a thumbnail of the image used during collimation (fig.38).

Figure 38


Check Points

Press Check Points (fig. 39) to open a Check Points Manager windows, then clik Add (fig.40).

Figure 39 Figure 40

From Import Check Points window press Browse and select the GCP file (fig.41).

Figure 41

At top you can change the keywords for parsed file by editing comments and separators. Moreover you can assign the table headers values by clicking on.

If you want to exchange latitude and logitude columns each other, you can press Click.

Select the appropriate data or press Select All, then press Import and close the Import GCPs window (fig.42).

Figure 42

The procedure is the of the previous one. Through a single click on the first point the software will open the monoscopic collimation window (fig.35). This shows all images related to the point selected, then we must collimate the point on each image. To collimate the first point we must to click with left mouse button. The automatic collimation aids will try to transport the collimation on other images.

Please verify this automatic transportation on each image in order to refine or exclude incorrect collimations. Left-right arrows allow to change current image you can also use pg+ and pg- on key keyboard. To exclude an image from collimation set you can press Hide Image (this exclusion is applied to current point only).
To remove a collimation press the right mouse button (you will see the point returning to yellow color). To a better collimation you can use keypad (fig. 36-37).

GCP already collimated change color from gray to green and it will show a thumbnail of the image used during collimation.

At the end you can close the windows by Close (fig.43).

Figure 43


Bundle

Press Run Bundle to start the Bundle process (fig.44). After that OPK show the GCP residuals (fig.45).

Figure 44 Figure 45

We can open a detailled report by View Report or display a graphic report by Graphic Report.

Figure 46


Data Display

Press Graphic Report to open a Data Display Options windows.

Figure 47

From this windows you can enable or disable some parameters visualization as:

  1. Tie Point Residuals
  2. GCP Residual
  3. Check Point Residual
  4. Image Adjustments

For each of these you can choose the display form (ellipse, vector, circle), the color and the scale factor.


Report

To open the detailed report press View Report (fig. 48).

Figure 48

In this way it is possible to view the report as a .txt file and if you want, you can export it (fig.49).

Figure 49


View

From the View (fig.50) section user can modify the data visualization. We can enable or disable the display and edit other options.

Figure 50

NOTE: The changes affect only the visualization and not the data.

With the Thresholds key we can edit the threshold values and the relative color (fig.51).

Figure 51


WorkFlow